package com.twomee.appear2meedemo;
/**
 * Created by 2Mee Ltd on 08/06/17.
 */

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.Map;


public class TagsAdapter extends BaseAdapter {
    private Map<String,String> tags;
    private LayoutInflater inflater;

    public TagsAdapter(Map<String,String> tags) {
        this.tags = tags;
    }

    @Override
    public int getCount() {
        return tags.size();
    }

    @Override
    public Object getItem(int i) {
        return null;
    }

    @Override
    public long getItemId(int i) {
        return 0;
    }


    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {
        if (inflater == null) {
            inflater = LayoutInflater.from(viewGroup.getContext());
        }
        if (view == null) {
            view = inflater.inflate(R.layout.layout_tag_list_item, null);
        }
        TextView channelName = (TextView) view.findViewById(R.id.channelName);
        TextView channelValue = (TextView) view.findViewById(R.id.channelValue);
        channelName.setTag("name");
        channelValue.setTag("value");
        ArrayList<String> l = new ArrayList<String>(tags.keySet());
        channelName.setText(l.get(i));
        Object value = tags.get(l.get(i));
        channelValue.setText(value.toString());
        return view;
    }
}
